## yapsy 1.12.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Yapsy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Yapsy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## yapsy 1.10.1

=== debian/changelog ===
yapsy (1.10.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes required).
  * Removed libjs-jquery and libjs-underscore dependencies from
    python-yapsy-doc.
  * Added libjs-sphinxdoc dependency to python-yapsy-doc.
  * Added gbp.conf file.

 -- Agustin Henze <tin@sluc.org.ar>  Tue, 05 Feb 2013 18:36:56 -0300

yapsy (1.10.1-1) unstable; urgency=low

  * Imported Upstream version 1.10.1.
  * Updated the copyright file.
  * Updated the watch file for get the right upstream version.
  * Use sphinxdoc option from debhelper to build the documentation:
    - debian/control: Added missing dependency on python(3)-sphinx.
    - debian/python-yapsy-doc.links: removed, now handled by sphinxdoc.
    - debian/rules: Clean-up symlinks

 -- Agustin Henze <tin@sluc.org.ar>  Mon, 04 Feb 2013 17:56:50 -0300

yapsy (1.9.2p3-1) unstable; urgency=low

  * Initial release (Closes: #690069).

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 09 Oct 2012 12:36:41 -0300

=== debian/control ===
Source: yapsy
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@sluc.org.ar>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all,
 python-support (>= 1),
 python-sphinx,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-configparser,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://yapsy.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/yapsy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yapsy.git

Package: python-yapsy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-configparser
Suggests: python-yapsy-doc
Description: simple plugin system for Python applications
 Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
 mechanisms needed to build a plugin system into a wider application.
 .
 The main purpose is to depend only on Python's standard libraries (at least
 version 2.3) and to implement only the basic functionalities needed to detect,
 load and keep track of several plugins.

Package: python3-yapsy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-yapsy-doc
Description: simple plugin system for Python applications
 Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
 mechanisms needed to build a plugin system into a wider application.
 .
 The main purpose is to depend only on Python's standard libraries (at least
 version 3.2) and to implement only the basic functionalities needed to detect,
 load and keep track of several plugins.

Package: python-yapsy-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: simple plugin system for Python applications - doc
 Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
 mechanisms needed to build a plugin system into a wider application.
 .
 The main purpose is to depend only on Python's standard libraries and to
 implement only the basic functionalities needed to detect, load and keep track
 of several plugins.
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PYVERS :=  python2.7
PY3VERS :=  $(shell py3versions -s)

%:
	dh $@ --with python2,python3 --with sphinxdoc

override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
		for py in $(PY3VERS) $(PYVERS); do \
			$$py setup.py test; \
		done
endif

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf src2/package/doc/_build
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs --package python-yapsy src2/package/CHANGELOG.txt
	dh_installchangelogs --package python-yapsy-doc src2/package/CHANGELOG.txt
	dh_installchangelogs --package python3-yapsy src3/package/CHANGELOG.txt

override_dh_auto_install:
	dh_auto_install
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-yapsy \
				      --install-layout=deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --root debian/python3-yapsy \
				      --install-layout=deb; \
	done
	# Doc
	cd src2/package/doc; \
	make html; \
	cd -;

## yapsy 1.10.2

=== debian/changelog ===
yapsy (1.10.2-1) unstable; urgency=low

  * Imported Upstream version 1.10.2.
  * Fixed FTBFS: AssertionError: 'IP' != 'Default' (Closes: #707162).
  * Untracked Yapsy.egg-info folder, this content is autogenerated by
    setuptools.
  * Fix duplicate-short-description lintian warning in python3 package.
  * Convert debian/copyright file to machine readable.
  * Removes Yapsy.egg-info folder in clean target (debian/rules).

 -- Agustin Henze <tin@sluc.org.ar>  Mon, 27 May 2013 17:43:01 -0300

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Suggests: python-yapsy-doc
-Description: simple plugin system for Python applications
+Description: simple plugin system for Python3 applications
  Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
  mechanisms needed to build a plugin system into a wider application.
  .

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	dh_auto_clean -- --all
 	rm -rf src2/package/doc/_build
 	rm -rf build
+	rm -rf Yapsy.egg-info/
 
 override_dh_installchangelogs:
 	dh_installchangelogs --package python-yapsy src2/package/CHANGELOG.txt

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/Y/Yapsy/Yapsy-([0-9.]*).*\.tar\.gz

## yapsy 1.10.423

=== debian/changelog ===
yapsy (1.10.423-1) unstable; urgency=medium

  * Imported Upstream version 1.10.423

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 20:42:51 -0300

yapsy (1.10.323-1) unstable; urgency=medium

  * New upstream release version 1.10.323

 -- Agustin Henze <tin@debian.org>  Wed, 21 May 2014 20:21:05 -0300

yapsy (1.10.223-1) unstable; urgency=medium

  * New upstream release version 1.10.223
  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Use pybuild as buildsystem
  * Goodbye SourceForge logo from doc

 -- Agustin Henze <tin@debian.org>  Thu, 27 Feb 2014 19:06:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: yapsy
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@sluc.org.ar>
+Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all,
@@ -12,7 +12,8 @@
  python3-setuptools,
  python-configparser,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-Standards-Version: 3.9.4
+ dh-python,
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 Homepage: http://yapsy.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/yapsy.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf src2/package/doc/_build/

override_dh_installchangelogs:
	dh_installchangelogs --package python-yapsy src2/package/CHANGELOG.txt
	dh_installchangelogs --package python-yapsy-doc src2/package/CHANGELOG.txt
	dh_installchangelogs --package python3-yapsy src3/package/CHANGELOG.txt

override_dh_installdocs:
	cd src2/package/doc; \
	make html; \
	cd -;
	sed "s@http://sflogo.sourceforge.net/sflogo.php@@g" -i src2/package/doc/_build/html/index.html
	dh_installdocs

## yapsy 1.11.223

=== debian/changelog ===
yapsy (1.11.223-1ubuntu1) artful; urgency=medium

  * Add d/patches/0002-fix-error-on-python-3.6.patch from upstream to fix
    ftbfs with python 3.6. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Jun 2017 15:18:08 +1200

yapsy (1.11.223-1) unstable; urgency=medium

  * Add get-orig-source target
  * Imported Upstream version 1.11.223 (Closes: #790711)
  * Update doc config and debian/rules to the new upstream version
  * Remove override_dh_installchangelogs (fixed in upstream)
  * Add patch that removes a failed test case, reported to upstream see:
    http://sourceforge.net/p/yapsy/bugs/32/
  * Remove dependency on python-support (Closes: #786246)
  * Bumped Standard-Version to 3.9.6 (no changes required)
  * Fix debian/watch, now it uses the pypi.debian.net redirector

 -- Agustin Henze <tin@debian.org>  Wed, 08 Jul 2015 08:30:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: yapsy
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all,
- python-support (>= 1),
  python-sphinx,
  python-setuptools,
  python3-all,
@@ -13,7 +13,7 @@
  python-configparser,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  dh-python,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://yapsy.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/yapsy.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p' | cut -d ":" -f 2)
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf doc/_build/

override_dh_installdocs:
	cd doc; \
	make html; \
	cd -;
	sed "s@http://sflogo.sourceforge.net/sflogo.php@@g" -i doc/_build/html/index.html
	dh_installdocs

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	wget https://pypi.python.org/packages/source/Y/Yapsy/Yapsy-$(UVERSION).tar.gz \
		-O ../$(PACKAGE_NAME)_$(UVERSION).orig.tar.gz

## yapsy 1.12.0

=== debian/changelog ===
yapsy (1.12.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests/unittests
    - drop python2 tests, needed to reach testing; Closes: #944062

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Dec 2019 18:27:42 -0500

yapsy (1.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938865

 -- Sandro Tosi <morph@debian.org>  Mon, 14 Oct 2019 20:47:33 -0400

yapsy (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0 (Closes: #867900)
  * Remove patches.
  * Remove obsolete get-orig-source target
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Update Vcs-* fields pointing to salsa
  * Remove sphinx python2 build-dependency
  * Use dpkg-info.mk instead of dpkg-parsechangelog by hand
  * Run unittests on autopkgtests

 -- Agustin Henze <tin@debian.org>  Sat, 29 Sep 2018 16:28:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,19 @@
 Source: yapsy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all,
- python-sphinx,
- python-setuptools,
- python3-all,
+Build-Depends-Indep: python3-all,
  python3-setuptools,
  python-configparser,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+ python3-sphinx,
  dh-python,
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 X-Python-Version: >= 2.7
 Homepage: http://yapsy.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/yapsy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yapsy.git
-
-Package: python-yapsy
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-configparser
-Suggests: python-yapsy-doc
-Description: simple plugin system for Python applications
- Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
- mechanisms needed to build a plugin system into a wider application.
- .
- The main purpose is to depend only on Python's standard libraries (at least
- version 2.3) and to implement only the basic functionalities needed to detect,
- load and keep track of several plugins.
+Vcs-Git: https://salsa.debian.org/debian/yapsy.git
+Vcs-Browser: https://salsa.debian.org/debian/yapsy
 
 Package: python3-yapsy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=$(DEB_SOURCE)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf doc/_build/

override_dh_installdocs:
	cd doc; \
	make html; \
	cd -;
	sed "s@http://sflogo.sourceforge.net/sflogo.php@@g" -i doc/_build/html/index.html
	dh_installdocs

=== debian/watch ===
version=3

http://pypi.debian.net/Yapsy/Yapsy-([0-9.]*).*\.tar\.gz

## yapsy 1.12.2

=== debian/changelog ===
yapsy (1.12.2-3) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1087195)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 21:00:48 +0100

yapsy (1.12.2-2) unstable; urgency=medium

  * Team upload.
  * Test-Depends: python3-packaging

 -- Andreas Tille <tille@debian.org>  Sun, 14 Jan 2024 09:11:40 +0100

yapsy (1.12.2-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Andreas Tille ]
  * Move package to DPT (https://bugs.debian.org/1058083#20)
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Strip unusual field spacing from debian/control.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.9.2p3-1.
  * Apply multi-arch hints.
   + python-yapsy-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Port to Python3.12 by adding patches from upstream PR11
    Closes: #1058083

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 07:53:15 +0100

yapsy (1.12.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove stray python-configparser build dep (Closes: #938865)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 06 Jun 2020 23:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: yapsy
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 9)
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Agustin Henze <tin@debian.org>,
+           Ulises Vitulli <dererk@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: python3-all,
  python3-setuptools,
- python-configparser,
  python3-sphinx,
- dh-python,
-Standards-Version: 4.2.1
-X-Python-Version: >= 2.7
-Homepage: http://yapsy.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/debian/yapsy.git
-Vcs-Browser: https://salsa.debian.org/debian/yapsy
+ dh-sequence-python3,
+Standards-Version: 4.6.2
+Homepage: https://yapsy.sourceforge.net/
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/yapsy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/yapsy
 
 Package: python3-yapsy
 Architecture: all
@@ -31,6 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
+Multi-Arch: foreign
 Description: simple plugin system for Python applications - doc
  Yapsy, or Yet Another Plugin SYstem, is a small library implementing the core
  mechanisms needed to build a plugin system into a wider application.

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: @,
         python3-packaging

=== debian/watch ===
version=4

https://pypi.debian.net/Yapsy/Yapsy-([0-9.]*).*\.tar\.gz
